#! /usr/bin/env python
#
#     Copyright (C) 2005 Ronan Keegan
#
#     This code is distributed under the terms and conditions of the
#     CCP4 Program Suite Licence Agreement as a CCP4 Application.
#     A copy of the CCP4 licence can be obtained by writing to the
#     CCP4 Secretary, Daresbury Laboratory, Warrington WA4 4AD, UK.
#
#
#
# Script to print the guide to installing the CCP4i modules for MrBUMP
# Can be used for other CCP4 gui related stuff
# Ronan Keegan 16/12/05

import os

class CCP4_GUI:

   def __init__(self):
      self.name=''

   def display_instructions(self, dir):

      print "Instructions for installing the MrBUMP tasks in CCP4i"

      print ""
      print "#########################################################################"
      print "To install the MrBUMP CCP4i task carry out the following steps:"
      print "#########################################################################"
      print ""
      print "  1. Start the CCP4i gui, click on the 'System Administration'"
      print "     tab and select 'Install/uninstall Tasks'."
      print ""
      print "  2. Where it says 'Run the Installation Manager to' select"
      print "     'install a new task'."
      print ""
      print "  3. Under the 'Install Package Information' section, where"
      print "     it says 'Task Archive', browse to the MrBUMP.tar.gz file"
      print "      which should be in the folder:"
      print "     " + dir + "/ccp4i"
      print ""
      print "  4. When you have selected the MrBUMP.tar.gz file click on the"
      print "     'Apply' button."
      print ""
      print "  5. Restart ccp4i. The MrBUMP tasks should appear in the"
      print "     'Program List' and 'Molecular Replacement' menus."
      print ""
      print "#########################################################################"
      print ""

if __name__=='__main__':

   c=CCP4_GUI()
   c.display_instructions("./")





